﻿using System;
using System.Collections.Generic;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace Esoft.Windows
{
    public partial class AddExecutor : Page
    {
        private user6Entities _context = new user6Entities();
        private Task _currentTask = null;

    
        public AddExecutor()
        {
            InitializeComponent();
            // Здесь можно задать контекст данных, если необходимо
        }

        private void BtnCancel_Click(object sender, RoutedEventArgs e)
        {
            // Логика отмены, например, закрыть окно
            NavigationService?.GoBack();
        }

        private void BtnSave_Click(object sender, RoutedEventArgs e)
        {
            // Логика сохранения данных
            // Например, валидация и сохранение объекта User
            if (ValidateInputs())
            {
                // Сохранение данных
                MessageBox.Show("Исполнитель сохранен.");
            }
            else
            {
                MessageBox.Show("Пожалуйста, заполните все обязательные поля.");
                var context = user6Entities.GetContext();
                context.SaveChanges();
                NavigationService.GoBack();
            }
        }

        private bool ValidateInputs()
        {
            // Ваша логика валидации
            return !string.IsNullOrWhiteSpace(FirstName.Text);
        }
    }
}